HomeGuidesAPI Reference
API Reference

Delete an interface IP from an inline router deployment

Removes a static or DHCP IP address from an inline router interface. If DHCP server, DHCP relay, or Router Advertisement is configured on the LAN interface, the associated configuration is also cleaned up.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

JSON object identifying the interface IP to delete.

Request body for deleting an interface IP from an inline router.

string
required

Router ID (e.g. rtr1).

string
required

Interface name (e.g. lan0, wan0).

boolean
required

Whether the interface IP being deleted is a DHCP entry.

string

IP address to delete (required when isDhcp is false).

integer

VLAN tag of the entry to delete.

string

DHCP mode of the entry to delete (required when isDhcp is true). One of: dhcpv4, dhcpv6, slaac, dhcpv4_dhcpv6, dhcpv4_slaac.

lanDhcpd
object

Existing DHCP server/relay configuration on the LAN interface, used to clean up associated DHCP config on deletion.

lanRa
object

The existing Router Advertisement configuration for the LAN interface. When present (non-null), the RA config for this interface is cleaned up on deletion. Pass the RA config object as-is from the current interface configuration.

autoSummedBandwidth
object

Updated total auto-summed bandwidth (WAN side only).

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json